BrownClusterBigramFeatureGeneratorFactory (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.util.featuregen, class: BrownClusterBigramFeatureGeneratorFactory

# Class BrownClusterBigramFeatureGeneratorFactory

java.lang.Object
opennlp.tools.util.featuregen.GeneratorFactory.AbstractXmlFeatureGeneratorFactory
opennlp.tools.util.featuregen.BrownClusterBigramFeatureGeneratorFactory

public class BrownClusterBigramFeatureGeneratorFactory extends GeneratorFactory.AbstractXmlFeatureGeneratorFactory
A `GeneratorFactory` that produces `BrownBigramFeatureGenerator` instances when `create()` is called.

See Also:
  - `BrownBigramFeatureGenerator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BrownClusterBigramFeatureGeneratorFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AdaptiveFeatureGenerator`
  `create()`
  `Map<String, ArtifactSerializer<?>>`
  `getArtifactSerializerMapping()`

  ### Methods inherited from class GeneratorFactory.AbstractXmlFeatureGeneratorFactory

  `getBool, getBool, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getStr, getStr`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BrownClusterBigramFeatureGeneratorFactory

    public BrownClusterBigramFeatureGeneratorFactory()

- ## Method Details

  - ### create

    public AdaptiveFeatureGenerator create() throws InvalidFormatException
    Specified by:
      `create` in class `GeneratorFactory.AbstractXmlFeatureGeneratorFactory`
    Returns:
      `null` if the subclass uses `GeneratorFactory.AbstractXmlFeatureGeneratorFactory.resourceManager` to instantiate.
    Throws:
      `InvalidFormatException` - Thrown if the format is incorrect.

  - ### getArtifactSerializerMapping

    public Map<String, ArtifactSerializer<?>> getArtifactSerializerMapping() throws InvalidFormatException
    Overrides:
      `getArtifactSerializerMapping` in class `GeneratorFactory.AbstractXmlFeatureGeneratorFactory`
    Throws:
      `InvalidFormatException`